Skip to main content
`Ctrl`+`K`

# PetscHMapObjIterDel

Remove the (key,value) referenced by an iterator from the hash table

## Synopsis

    #include <petsc/private/hashmapobj.h>
    PetscErrorCode PetscHMapObjIterDel(PetscHMapObj ht, PetscHashIter iter)

## Input Parameters

- ht - The hash table

- iter - The iterator

## See Also

`PetscHMapObjFind()`, `PetscHMapObjQueryDel()`, `PetscHMapObjDel()`

## Level

developer

## Location

include/petsc/private/hashmap.txt.h

Index of all PetscH routines
Table of Contents for all manual pages
Index of all manual pages